<link rel="stylesheet" href="css/new_mxerp.css">
<?php extract($_POST);
$PageSecurity = 1;
$tabindex=0;
include('includes/DefinePaymentClass.php');
$title = _('PrePress Inspection Reports');
include('includes/SQL_CommonFunctions.inc');
$modid=$_REQUEST['modid'];
$frmid=$_REQUEST['frmid'];
?>

<div class="body_contain">
<div class="tab_div">

<h1><?php echo $title;?></h1>
   
<table width="100%" border="0" cellspacing="0" cellpadding="0">

   <tr>
		<td><div align="center">
			<form  action="" method="post">
			   <table width="100%" border="1" cellpadding="3" cellspacing="0" style="border-collapse:collapse; border:#666666 solid 1px;">
			  <tr>
			<td class="tabledata" style="width:146px;">Order No. Wise</td>
			    <td style="width:250px;"><select name="orderno"
			    onchange="getdata(this.value)" style="width:100%">
	<option value="000">Select</option>
	<?php 
	$name_sql=DB_query("Select  orderNo,id from salesorder",$db);
	while($name_row=DB_fetch_array($name_sql)) {
	?>
	<option value="<?php echo $name_row['id'];?>"><?php echo $name_row['orderNo'];?></option>
	<?php } ?>
    </select>	</td>
    <td class="tabledata"  style="width:146px;">Job Card No</td>
				<td id="hotfoil" style="width:250px;"><select name="jobcard"
				    id="jobcard" style="width:100%">
				   <option value="0">Select</option>
				</select></td>
			  </tr>	 
		  </table>
		  <p align="left" style="paddding-left:10px;"><input type="Submit" name="Proceed" value="Proceed" /></p>
		  </form>
	  </div></td>
	</tr>    

	</table>	
<table width="100%" border="1" cellpadding="3" cellspacing="0" style="border-collapse:collapse; border:#666666 solid 1px;">
              <tr>
               <td class="tabledata">S.No</td>
               <td class="tabledata">Branch</td>
               <td class="tabledata">PrePress Slip No</td>
				<td class="tabledata">JC No</td>
				<td class="tabledata"> Item Desc </td>
               <td class="tabledata">Plates</td>
                <td class="tabledata">Shade Card</td>
               <td class="tabledata">Text Matter</td>
                <td class="tabledata">Shade Card Print</td>
               <td class="tabledata">Attachments</td>
                             
              </tr>
    	  <?php 
    	 if(isset($_POST['Proceed']))
		 {		  	
    	$filter=array();		
		if($_REQUEST['jobcard']!='0')
		$filter[]="job_ticket_no='".$_REQUEST['jobcard']."'";
		if($filter!='')
		{
			if($_REQUEST['jobcard']!='0'){$filter2=implode(" and ",$filter)." group by job_ticket_no";}
			else
			$filter2=implode(" and ",$filter);
		}			
				
		if($_REQUEST['jobcard']!='0')
		{
		 $sql="Select* from design_prepress_job_card  where $filter2 ";	
	 		}
		else{
		   $sql="Select* from design_prepress_job_card where CompanyId='".$_SESSION['ACGCompanyId']."'"; }
		$result=DB_query($sql,$db);
		$i=1;
		 $mmm=DB_num_rows($result);
		if(DB_num_rows($result)>0)
		{			
		while($myrow=DB_fetch_array($result))
			{				
          ?>
	  <tr bgcolor="#c1c1c1">
    	    <td><?php echo $i;?></td>
    	    <td><?php 
	$sitename=$s->getField('locations','loccode',$myrow['branch_id'],'locationname');
	echo $sitename;?></td>
	 	  <td><?php echo $myrow['design_prepress_slip'];?></td>
    	    <td><?php echo $jobcardno=$s->getField('job_route_card','id',$myrow['job_ticket_no'],'job_card_no');?>    	    	
    	    	</td>
    	     <td><?php echo $myrow['item_name'];?></td>
			 
			 
			 
    	       	      <td><input type="checkbox" name="plates"  <?php if($myrow['plates']=='ready') { ?> checked="checked" <?php } ?>  /></td>
					  
<td><input type="checkbox" name="plates" <?php if($myrow['shade_card']=='ready') { ?> checked="checked" <?php } ?>> </td>
    	         <td><input type="checkbox" name="plates" <?php if($myrow['text_matter']=='ready') { ?> checked="checked" <?php } ?>  /></td>
    	         <td><input type="checkbox" name="plates" <?php if($myrow['shade_print_out']=='ready') { ?> checked="checked" <?php } ?>  /></td>
    	         <td><a href="index.php?route=prepress_inspection_attacments_download&id=<?php echo $myrow['id']; ?>&&modid=<?php echo $_REQUEST['modid'];?>&frmid=<?php echo $_REQUEST['frmid'];?>">Download</a></td>
    	       
    	    	       </tr>
    	  
  	  <?php $i++; }  }else
		{?>
		<tr bgcolor="#c1c1c1">
		   <td colspan="12"><font color="#FF0000">No Record Found</font></td></tr>
		<?php 	
		}
		}
	?></table>
	

</div></div>


     <?php
//include('includes/footer.inc');
?>
<script language="JavaScript">
function getdata(data)
{
if (data.length==0)
  {
  document.getElementById("hotfoil").innerHTML="";
 
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("hotfoil").innerHTML=xmlhttp.responseText;
      }
  }
 
xmlhttp.open("GET","get_entryslip_jobcard.php?data="+data,true);
xmlhttp.send();	
	
	
}	
	
	
	
</script>